import numpy as np
import matplotlib.pyplot as plt

TDH8=np.genfromtxt('o-TDH-10POINTS.YPP-X_probe_order_2',comments="#")
TDH8full=np.genfromtxt('o-TDH-120POINTS.YPP-X_probe_order_2',comments="#")
TDH18full=np.genfromtxt('o-TDH-converged.YPP-X_probe_order_2',comments="#")

fig=plt.figure(figsize=(10,10))

pmVm1toCGS=2.38721e-09

plt.title('SHG in AlAs: TD-Hartree')
plt.xlabel('eV')
plt.ylabel('$|\chi^2_{xyz}|$ (pm/V)',fontsize=18)
plt.xlim(1,5)
plt.ylim(0,600)
plt.plot(TDH8[:,0], np.sqrt(TDH8[:,5]**2+TDH8[:,6]**2)/pmVm1toCGS,"ro",ms=12,label="$|\chi^2|$ TD-Hartree 8x8x8 kpts (10 frequencies)")
plt.plot(TDH8full[:,0], np.sqrt(TDH8full[:,5]**2+TDH8full[:,6]**2)/pmVm1toCGS,color="green", linestyle="-",label="$|\chi^2|$ TD-Hartree 8x8x8 kpts (120 frequencies)",lw=2)
plt.plot(TDH18full[:,0], np.sqrt(TDH18full[:,5]**2+TDH18full[:,6]**2)/pmVm1toCGS,color="violet", linestyle="--",label="$|\chi^2|$ TD-Hartree 18x18x18 kpts (120 frequencies)",lw=2)
plt.legend(loc="top right",fontsize=18)
plt.savefig("AlAs_TDH_results.png",format="png")
plt.show()

